---
title: systemLanguage
slug: Web/SVG/Attribute/systemLanguage
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>systemLanguage</code></strong> attribute represents a list of supported language tags. This list is matched against the language defined in the user preferences.</p>

<p>35 elements are using this attribute: {{SVGElement("a")}}, {{SVGElement("altGlyph")}}, {{SVGElement("animate")}}, {{SVGElement("animateColor")}}, {{SVGElement("animateMotion")}}, {{SVGElement("animateTransform")}}, {{SVGElement("audio")}}, {{SVGElement("canvas")}}, {{SVGElement("circle")}}, {{SVGElement("clipPath")}}, {{SVGElement("cursor")}}, {{SVGElement("defs")}}, {{SVGElement("discard")}}, {{SVGElement("ellipse")}}, {{SVGElement("foreignObject")}}, {{SVGElement("g")}}, {{SVGElement("iframe")}}, {{SVGElement("image")}}, {{SVGElement("line")}}, {{SVGElement("mask")}}, {{SVGElement("path")}}, {{SVGElement("pattern")}}, {{SVGElement("polygon")}}, {{SVGElement("polyline")}}, {{SVGElement("rect")}}, {{SVGElement("set")}}, {{SVGElement("svg")}}, {{SVGElement("switch")}}, {{SVGElement("text")}}, {{SVGElement("textPath")}}, {{SVGElement("tref")}}, {{SVGElement("tspan")}}, {{SVGElement("unknown")}}, {{SVGElement("use")}}, and {{SVGElement("video")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;language-tags&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;language-tags&gt;</code></dt>
 <dd>The value is a set of comma-separated tokens, each of which must be a <a href="http://tools.ietf.org/html/bcp47#section-2.1">Language-Tag</a> value, as defined in <a href="http://www.ietf.org/rfc/bcp/bcp47.txt">BCP 47</a>.</dd>
</dl>

<p><code>systemLanguage</code> is often used in conjunction with the <span class="element-name">{{SVGElement("switch")}}</span> element. If the attribute is used in other situations, then it represents a simple switch on the given element whether to render the element or not.</p>

<p class="note"><strong>Note:</strong> If several alternative language objects are enclosed in a <code>&lt;switch&gt;</code> and none of them matches, this may lead to situations where no content is displayed. It is thus recommended to include a "catch-all" choice at the end of such a <span class="element-name"><code>&lt;switch&gt;</code> </span>which is acceptable in all cases.</p>

<p>The attribute evaluates to "true" if one of the language tags indicated by user preferences is a case-insensitive match or prefix (followed by a "-") of one of the language tags given in the value of this parameter. Otherwise it evaluates to "false".</p>

<p class="note"><strong>Note:</strong> The prefix matching rule does not imply that if a user understands a language with a certain tag, that the user will also understand all languages with the tag as prefix.</p>

<p>If the attribute is not present, then it implicitly evaluates to "true". If a null string or empty string value is given, the attribute evaluates to "false".</p>

<p>The prefix rule allows the use of prefix tags if this is the case.</p>

<p>Multiple languages may be listed for content that is intended for multiple audiences. For example, content that is presented simultaneously in the original Maori and English versions, would call for:</p>

<pre>&lt;text systemLanguage="mi, en"&gt;&lt;!-- content goes here --&gt;&lt;/text&gt;</pre>

<p>However, just because multiple languages are present within the object on which the <code>systemLanguage</code> test attribute is placed, this does not mean that it is intended for multiple linguistic audiences. An example would be a beginner's language primer, such as "A First Lesson in Latin," which is clearly intended to be used by an English-literate audience. In this case, the attribute should only include <code>en</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "struct.html#SystemLanguageAttribute", "systemLanguage")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "struct.html#SystemLanguageAttribute", "systemLanguage")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.conditional_processing.systemLanguage")}}</p>
